############################################################################
# Copyright (C) 2002 David Lucardi
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.
############################################################################
# File  : fichier.php
# Author  : David Lucardi
#           mailto: DavidLucardi@aol.com
# Date    : 26/04/2002
# Licence : GNU/GPL Version 2 ou plus
#
# Description:
# ------------
#
# @version    $Id: associations.tcl,v 1.1.1.1 2003/11/11 10:40:43 erics Exp $
# @author     David Lucardi
# @project
# @copyright  David Lucardi 26/04/2002
#
#
#########################################################################
#!/bin/sh
#associations.tcl
# Licence : GNU/GPL Version 2 ou plus
# \
exec wish "$0" ${1+"$@"}

global basedir Homeconf plateforme
set plateforme $tcl_platform(platform)
set ident $tcl_platform(user)

source fonts.tcl
source path.tcl
source msg.tcl

init $plateforme
inithome
initlog $plateforme $ident
changehome


#wm resizable . 0 0
. configure -background #ffff80 


###########################################
proc interface {} {

global Home basedir sysFont progaide plateforme
variable repert
variable repertcat

catch {destroy .menu}
catch {destroy .wleft}
catch {destroy .wcenter}
catch {destroy .wright}

menu .menu -tearoff 0

# Creation du menu Fichier
menu .menu.fichier -tearoff 0
.menu add cascade -label [mc {Fichier}] -menu .menu.fichier
.menu.fichier add command -label [mc {Editeur}] -command "lanceappli editeur.tcl 1"
.menu.fichier add command -label [mc {Bilans}] -command "lanceappli bilan.tcl 1"
.menu.fichier add sep
.menu.fichier add command -label [mc {Quitter}] -command exit

menu .menu.option -tearoff 0
.menu add cascade -label [mc {Options}] -menu .menu.option
.menu.option add command -label [mc {Reglages}] -command "lanceappli reglages.tcl 1"
if {[catch {package require snack}]} {
} else {
.menu.option add command -label [mc {Gestion du son}] -command "lanceappli gestionson.tcl 1"
}

set ext .msg
menu .menu.option.lang -tearoff 0 
.menu.option add cascade -label "[mc {Langue}]" -menu .menu.option.lang

foreach i [glob [file join  $basedir msgs *$ext]] {
set langue [string map {.msg ""} [file tail $i]]
.menu.option.lang add radio -label $langue -variable langue -command "setlang $langue"
}

menu .menu.option.repbase -tearoff 0 
.menu.option add cascade -label [mc {Repertoire categories}] -menu .menu.option.repbase
catch {
foreach i [lsort [glob [file join $Home categorie cat_*]]] {
.menu.option.repbase add radio -label [file tail $i] -variable repertcat -value [file tail $i] -command "changerepbasecat [file tail $i]"
}
}

menu .menu.option.repwork -tearoff 0 
.menu.option add cascade -label [mc {Repertoire de travail}] -menu .menu.option.repwork 
.menu.option.repwork add radio -label [mc {Individuel}] -variable repert -value 0 -command "changeinterface"
.menu.option.repwork add radio -label [mc {Commun}] -variable repert -value 1 -command "changeinterface"


menu .menu.action -tearoff 0
.menu add cascade -label [mc {Activites}] -menu .menu.action
menu .menu.action.m1 -tearoff 0
.menu.action add cascade -label [mc {1 : une image, plusieurs etiquettes.}] -menu .menu.action.m1
.menu.action.m1 add command -label [mc {Facile}] -command "lanceappli associe1.tcl 1"
.menu.action.m1 add command -label [mc {Difficile}] -command "lanceappli associe1.tcl 2"

menu .menu.action.m2 -tearoff 0
.menu.action add cascade -label [mc {2 : plusieurs images, une etiquette.}] -menu .menu.action.m2
.menu.action.m2 add command -label [mc {Facile}] -command "lanceappli associe2.tcl 1"
.menu.action.m2 add command -label [mc {Difficile}] -command "lanceappli associe2.tcl 2"

menu .menu.action.m3 -tearoff 0
.menu.action add cascade -label [mc {3 : Remettre les syllabes en ordre.}] -menu .menu.action.m3
.menu.action.m3 add command -label [mc {Facile}] -command "lanceappli associe4.tcl 1"
.menu.action.m3 add command -label [mc {Difficile}] -command "lanceappli associe14.tcl 1"
menu .menu.action.m4 -tearoff 0
.menu.action add cascade -label [mc {4 : Discrimination visuelle : lettres.}] -menu .menu.action.m4
.menu.action.m4 add command -label [mc {Facile}] -command "lanceappli associe10.tcl 1"
.menu.action.m4 add command -label [mc {Difficile}] -command "lanceappli associe13.tcl 1"
.menu.action add command -label [mc {5 : 4 images, 4 etiquettes.}] -command "lanceappli associe3.tcl 1"
.menu.action add command -label [mc {6 : Remettre les lettres en ordre.}] -command "lanceappli associe5.tcl 1"
.menu.action add command -label [mc {7 : Retrouver la fin des mots.}] -command "lanceappli associe6.tcl 1"
.menu.action add command -label [mc {8 : Dictee visuelle.}] -command "lanceappli associe7.tcl 1"
.menu.action add command -label [mc {9 : Discrimination visuelle : phonemes ou mots.}] -command "lanceappli associe9.tcl 1"
.menu.action add command -label [mc {10 : Mots voisins (support image)}] -command "lanceappli associe11.tcl 1"
if {[catch {package require snack}]} {
} else {
.menu.action add command -label [mc {11 : Dictee.}] -command "lanceappli associe8.tcl 1"
.menu.action add command -label [mc {12 : Mots voisins (support mot entendu)}] -command "lanceappli associe12.tcl 1"
}

if {$plateforme == "windows"} {
.menu add command -label [mc {Utilisateur}] -command "setwindowsusername"
}

menu .menu.aide -tearoff 0
.menu add cascade -label "?" -menu .menu.aide
set fichier [file join $basedir aide index.htm]
.menu.aide add command -label [mc {Aide}] -command "exec $progaide \042$fichier\042 &"

. configure -menu .menu


#######################################################################"
. configure -background blue
frame .wleft -background blue -height 300 -width 200
pack .wleft -side left


label .wleft.labA1 -text [mc {1 Une image, plusieurs etiquettes. Facile}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA1 -side top -anchor w
bind .wleft.labA1 <1> "lanceappli associe1.tcl 1"
bind .wleft.labA1 <Any-Enter> ".wleft.labA1 configure -foreground yellow"
bind .wleft.labA1 <Any-Leave> ".wleft.labA1 configure -foreground orange"

label .wleft.labA2 -text [mc {2 Une image, plusieurs etiquettes. Difficile}]  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA2 -side top -anchor w
bind .wleft.labA2 <1> "lanceappli associe1.tcl 2"
bind .wleft.labA2 <Any-Enter> ".wleft.labA2 configure -foreground yellow"
bind .wleft.labA2 <Any-Leave> ".wleft.labA2 configure -foreground orange"

label .wleft.labA3 -text [mc {3 Plusieurs images, une etiquette. Facile}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA3 -side top -anchor w
bind .wleft.labA3 <1> "lanceappli associe2.tcl 1"
bind .wleft.labA3 <Any-Enter> ".wleft.labA3 configure -foreground yellow"
bind .wleft.labA3 <Any-Leave> ".wleft.labA3 configure -foreground orange"

label .wleft.labA4 -text [mc {4 Plusieurs images, une etiquette. Difficile}]  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA4 -side top -anchor w
bind .wleft.labA4 <1> "lanceappli associe2.tcl 2"
bind .wleft.labA4 <Any-Enter> ".wleft.labA4 configure -foreground yellow"
bind .wleft.labA4 <Any-Leave> ".wleft.labA4 configure -foreground orange"

label .wleft.labA5 -text [mc {5 Remettre les syllabes en ordre. Facile}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA5 -side top -anchor w
bind .wleft.labA5 <1> "lanceappli associe4.tcl 1"
bind .wleft.labA5 <Any-Enter> ".wleft.labA5 configure -foreground yellow"
bind .wleft.labA5 <Any-Leave> ".wleft.labA5 configure -foreground orange"

label .wleft.labA6 -text [mc {6 Remettre les syllabes en ordre. Difficile}]  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA6 -side top -anchor w
bind .wleft.labA6 <1> "lanceappli associe14.tcl 1"
bind .wleft.labA6 <Any-Enter> ".wleft.labA6 configure -foreground yellow"
bind .wleft.labA6 <Any-Leave> ".wleft.labA6 configure -foreground orange"

label .wleft.labA7 -text [mc {7 Discrimination visuelle : lettres. Facile}]  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA7 -side top -anchor w
bind .wleft.labA7 <1> "lanceappli associe10.tcl 1"
bind .wleft.labA7 <Any-Enter> ".wleft.labA7 configure -foreground yellow"
bind .wleft.labA7 <Any-Leave> ".wleft.labA7 configure -foreground orange"

label .wleft.labA8 -text [mc {8 Discrimination visuelle : lettres. Difficile}]  -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify left -foreground orange
pack .wleft.labA8 -side top -anchor w
bind .wleft.labA8 <1> "lanceappli associe13.tcl 1"
bind .wleft.labA8 <Any-Enter> ".wleft.labA8 configure -foreground yellow"
bind .wleft.labA8 <Any-Leave> ".wleft.labA8 configure -foreground orange"


frame .wcenter -background blue -height 300 -width 200
pack .wcenter -side left

frame .wright -background blue -height 300 -width 200
pack .wright -side left
label .wright.labA1 -text [mc {9 Quatre images, 4 etiquettes.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA1 -side top -anchor e
bind .wright.labA1 <1> "lanceappli associe3.tcl 1"
bind .wright.labA1 <Any-Enter> ".wright.labA1 configure -foreground yellow"
bind .wright.labA1 <Any-Leave> ".wright.labA1 configure -foreground orange"

label .wright.labA2 -text [mc {10 Remettre les lettres en ordre.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA2 -side top -anchor e
bind .wright.labA2 <1> "lanceappli associe5.tcl 1"
bind .wright.labA2 <Any-Enter> ".wright.labA2 configure -foreground yellow"
bind .wright.labA2 <Any-Leave> ".wright.labA2 configure -foreground orange"

label .wright.labA3 -text [mc {11 Retrouver la fin des mots.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA3 -side top -anchor e
bind .wright.labA3 <1> "lanceappli associe6.tcl 1"
bind .wright.labA3 <Any-Enter> ".wright.labA3 configure -foreground yellow"
bind .wright.labA3 <Any-Leave> ".wright.labA3 configure -foreground orange"

label .wright.labA4 -text [mc {12 Dictee visuelle.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA4 -side top -anchor e
bind .wright.labA4 <1> "lanceappli associe7.tcl 1"
bind .wright.labA4 <Any-Enter> ".wright.labA4 configure -foreground yellow"
bind .wright.labA4 <Any-Leave> ".wright.labA4 configure -foreground orange"


label .wright.labA5 -text [mc {13 Discrimination visuelle : phonemes ou mots.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA5 -side top -anchor e
bind .wright.labA5 <1> "lanceappli associe9.tcl 1"
bind .wright.labA5 <Any-Enter> ".wright.labA5 configure -foreground yellow"
bind .wright.labA5 <Any-Leave> ".wright.labA5 configure -foreground orange"

label .wright.labA6 -text [mc {14 Mots voisins (support image)}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA6 -side top -anchor e
bind .wright.labA6 <1> "lanceappli associe11.tcl 1"
bind .wright.labA6 <Any-Enter> ".wright.labA6 configure -foreground yellow"
bind .wright.labA6 <Any-Leave> ".wright.labA6 configure -foreground orange"

if {[catch {package require snack}]} {
} else {
label .wright.labA7 -text [mc {15 Dictee.}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA7 -side top -anchor e
bind .wright.labA7 <1> "lanceappli associe8.tcl 1"
bind .wright.labA7 <Any-Enter> ".wright.labA7 configure -foreground yellow"
bind .wright.labA7 <Any-Leave> ".wright.labA7 configure -foreground orange"

label .wright.labA8 -text [mc {16 Mots voisins (support mot entendu)}] -background blue -wraplength 200 -font $sysFont(t) -pady 6 -justify right -foreground orange
pack .wright.labA8 -side top -anchor e
bind .wright.labA8 <1> "lanceappli associe12.tcl 1"
bind .wright.labA8 <Any-Enter> ".wright.labA8 configure -foreground yellow"
bind .wright.labA8 <Any-Leave> ".wright.labA8 configure -foreground orange"
}

set myimage [image create photo -file sysdata/background.gif]
label .wcenter.imagedisplayer -image $myimage -background blue
pack .wcenter.imagedisplayer -side top

}


#####################################################################"

#################
# Image de fond #
#################


############
# Bindings #
############
bind . <Control-q> {exit}


proc changeinterface {} {
changehome
interface
}


proc lanceappli {appli niveau} {
global iwish
set appli [file join $appli]
exec $iwish $appli $niveau &
}

interface

proc setlang {lang} {
global env plateforme baseHome
set env(LANG) $lang
set f [open [file join $baseHome reglages lang.conf] "w"]
puts $f $lang
close $f

::msgcat::mclocale $lang
::msgcat::mcload [file join [file dirname [info script]] msgs]
interface
}







